### Namespace

# Eog – 3.0

This is the Eye of GNOME, an image viewer program. It is meant to be a fast and functional image viewer.

Version | 47.0
Authors | the eog authors
License | GPL2+
Website | https://apps.gnome.org/app/org.gnome.eog/
Source | https://gitlab.gnome.org/GNOME/eog/

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | GObject interfaces and objects
| Browse documentation
Gdk—3.0 | The GTK windowing system abstraction
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Application |
ClipboardHandler |
DetailsDialog |
FileChooser |
Image |
ImageSaveInfo |
Job |
JobCopy |
JobLoad |
JobModel |
JobSave |
JobSaveAs |
JobThumbnail |
JobTransform |
ListStore |
RemotePresenter |
ScrollView |
Sidebar |
Statusbar |
ThumbNav |
ThumbView |
Transform |
URIConverter |
Window |

#### Interfaces

ApplicationActivatable |
WindowActivatable |

#### Structs

UCInfo |

#### Enumerations

ImageMetadataStatus |
ImageStatus |
JobPriority |
ListStoreColumn |
ThumbNavMode |
ThumbViewSelectionChange |
TransformType |
TransparencyStyle | Used to define how transparent image parts are drawn.
UCType |
WindowError |
WindowGalleryPos |
WindowMode |
ZoomMode | Used to determine the zooming behaviour of an `EogScrollView`.

#### Bitfields

Debug |
ImageData |
StartupFlags |

#### Error Domains

ImageError |
UCError |

#### Functions

debug |
exif_util_format_date | Takes a date string formatted after Exif specifications and generates a more readable, possibly localized, string out of it.
exif_util_format_datetime_label |
exif_util_set_focal_length_label_text |
exif_util_set_label_text |
marshal_VOID__INT_INT |
thumbnail_add_frame | Adds a frame to `thumbnail`.
thumbnail_fit_to_size | Ensures a pixbuf fits a given `dimension`.
thumbnail_init |
thumbnail_load | Loads the thumbnail for `image`. In case of error, `NULL` is returned and `error` is set.

#### Function Macros

JOB_SAVE_AS |
JOB_SAVE_AS_CLASS |
URI_CONVERTER |
URI_CONVERTER_CLASS |

#### Constants

FILE_FORMAT_JPEG |
IMAGE_DATA_ALL |
LIST_STORE_THUMB_SIZE |
SCROLL_VIEW_MAX_ZOOM_FACTOR |
SCROLL_VIEW_MIN_ZOOM_FACTOR |
THUMBNAIL_ORIGINAL_HEIGHT |
THUMBNAIL_ORIGINAL_WIDTH |